Skip to main content

Installs

An Install is an attempt (successful, in progress, or failure) by a Device to update to a new Release by way of downloading and installing an Artifact.

These are generated from the Events sent from the Device, and are read-only.

Request Schema

Read Only

Query Parameters

The following parameters can be used to filter Installs.

Query ParameterTypeDescription
releaseString[]Versions of Releases
Example: release=1.2.3&release=1.2.4
deviceString[]Device UIDs of Devices
Example: ABCD1234
statusString[]Status of the Install
Example: success
sortStringSort keys (listed below)
Example: -began_at

Sort Parameters

Sort ParameterTypeDescription
began_atDateTimeDate the Install was started at
transitioned_atDateTimeDate the Install last changed states at

Response Schema

{
"data": {
"id": 1,
"created_date": "2019-01-19T05:01:13.000000+00:00",
"updated_date": "2019-01-19T05:01:13.000000+00:00",
"started_at": "2019-01-19T05:01:13.000000+00:00",
"transitioned_at": "2019-01-19T05:01:13.000000+00:00",
"status": "success",
"device": {
"id": 1,
"device_serial": "ABCD1234",
"hardware_version": "hwrev1",
"last_seen": "2019-01-19T05:01:13.000000+00:00",
},
"release_to": {
"id": 2,
"version": "1.2.3",
"revision": "11d95ef20f7a048ce1da1a6891dd3e2f92c89d85"
},
"release_from": {
"id": 1,
"version": "1.2.2",
"revision": "bd0bfa48e91d1366cfad7ec2c408016c487ee5e4"
}
}
}